SDL_SetError(3)

NAME
SDL_SetError - Set the SDL error message for the current thread.

HEADER FILE
Defined in SDL3/SDL_error.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetError(SDL_PRINTF_FORMAT_STRING const char *fmt, ...) SDL_PRINTF_VARARG_FUNC(1);

DESCRIPTION
Calling this function will replace any previous error message that was set. This function always returns -1, since SDL frequently uses -1 to signify an failing result, leading to this idiom: c if (error_code) {
    return SDL_SetError("This operation has failed: %d", error_code); }

FUNCTION PARAMETERS

fmt a printf()-style message format string

... additional parameters matching % tokens in the fmt string, if any

RETURN VALUE
Returns always -1.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_ClearError(3), SDL_GetError(3)